class Controller {

    constructor() {
        this.evalInput();
    }
    //read string from input field
    getKeyInput() {
        let inputs = document.autoForm.numberM.value.split("x");
        return inputs;
    }

    //connect model, view, evaluate with keyup
    evalInput() {
        //set number of rows, columns (m, n)
        document.getElementById("generateBtn").addEventListener("click", () => {
            let swap = document.getElementById("commCheck").checked;
            let mn = this.getKeyInput();
            let model = new CalcTable();
            let fWriter = new FileWriter();
            let res = "";
            let allMode = document.autoForm.elements.mode;

            try {
                if (mn.length !== 2 || isNaN(mn[0]) || mn[0] === "" || isNaN(mn[1]) || mn[1] === "") {
                    throw "input is not valid";
                } else {
                    document.getElementById("info").innerHTML = "";
                    model.select = allMode.value;
                    model.swap = swap;
                    model.m = mn[1]
                    model.n = mn[0];
                    res = model.calc();
                    fWriter.setContent(res);
                    fWriter.createFile();
                }
            } catch (error) {
                document.getElementById("info").innerHTML = error;
            }
        });
    }

}